Liferay.Loader.define("frontend-js-components-web@1.0.27/treeview/TreeviewCard", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/card', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/sticker', 'frontend-js-react-web$classnames', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './TreeviewContext'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = TreeviewCard;

    var _card = _interopRequireDefault(require("@frontend-taglib-clay$clayui/card"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _sticker = _interopRequireDefault(require("@frontend-taglib-clay$clayui/sticker"));

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _TreeviewContext = _interopRequireDefault(require("./TreeviewContext"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function TreeviewCard(_ref) {
      var node = _ref.node;

      var _useContext = (0, _react.useContext)(_TreeviewContext.default),
          state = _useContext.state;

      var filterQuery = state.filterQuery,
          focusedNodeId = state.focusedNodeId;
      var path = node.nodePath && filterQuery ? /*#__PURE__*/_react.default.createElement("div", {
        className: "lfr-card-subtitle-text text-default text-truncate treeview-node-name"
      }, node.nodePath) : null;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: (0, _classnames.default)({
            'card-type-directory': true,
            disabled: node.disabled,
            focused: node.id === focusedNodeId,
            'form-check': true,
            'form-check-card': true,
            'form-check-middle-left': true,
            selected: node.selected
          })
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "card card-horizontal"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "card-body"
        }, /*#__PURE__*/_react.default.createElement(_card.default.Row, {
          className: "autofit-row-center"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "autofit-col"
        }, /*#__PURE__*/_react.default.createElement(_sticker.default, {
          displayType: "secondary",
          inline: true
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: node.icon
        }))), /*#__PURE__*/_react.default.createElement("div", {
          className: "autofit-col autofit-col-expand autofit-col-gutters"
        }, /*#__PURE__*/_react.default.createElement(_card.default.Description, {
          displayType: "title"
        }, node.name))), path)))
      );
    }
    //# sourceMappingURL=TreeviewCard.js.map
  }
});
//# sourceMappingURL=TreeviewCard.js.map